# Payment query request

Send a payment query request to find out the current status of a payment after it has been authorized.

Endpoint: GET /api/payments/{linkData}
Version: 2024-06-01
Security: BasicAuth

## Path parameters:

  - `linkData` (string, required)

## Header parameters:

  - `WP-Api-Version` (string, required)
    The API version
    Enum: "2024-06-01"

## Response 200 fields (application/json):

  - `lastEvent` (string)
    The lastEvent field represents the latest high‑level outcome of a payment in our Payments API. It reflects the result of the most recent payment command (for example authorization, settlement, or refund) rather than the raw lifecycle event stream.

We return it in:

- GET requests made via our Payments API

-  responses from our Payment Queries API when querying historical payments

{% admonition type="info" %} Our Payment Queries API exposes lower‑level lifecycle events (eventName). We map these to a single Payments API lastEvent value. For the full mapping between our Payment Queries API events and Payments API lastEvent values, see [lastEvent mapping in the Payment Queries API documentation](/products/payment-queries/query-archive#lastevent-mapping).{% /admonition %}
    Enum: "Authorized", "Refused", "Sent for Settlement", "Sent for Refund", "Sent for Cancellation", "Refund failed", "Settlement failed", "Settled", "Refunded", "Error", "Expired"

  - `_actions` (object)

  - `_actions.settlePayment` (object)
    Fully settle the payment. See [details](/products/payments/openapi/manage-payments/settle).

  - `_actions.settlePayment.href` (string)

  - `_actions.settlePayment.method` (string)

  - `_actions.partiallySettlePayment` (object)
    Partially settle the payment. See [details](/products/payments/openapi/manage-payments/partialsettle) including what to add in the request body.

  - `_actions.partiallySettlePayment.href` (string)

  - `_actions.partiallySettlePayment.method` (string)

  - `_actions.refundPayment` (object)
    Fully refund the payment. See [details](/products/payments/openapi/manage-payments/refund)

  - `_actions.refundPayment.href` (string)

  - `_actions.refundPayment.method` (string)

  - `_actions.partiallyRefundPayment` (object)
    Partially refund the payment. See [details](/products/payments/openapi/manage-payments/partialrefund)

  - `_actions.partiallyRefundPayment.href` (string)

  - `_actions.partiallyRefundPayment.method` (string)

  - `_actions.cancelPayment` (object)
    Cancel the payment. See [details](/products/payments/openapi/manage-payments/cancel)

  - `_actions.cancelPayment.href` (string)

  - `_actions.cancelPayment.method` (string)

  - `_actions.partiallyCancelPayment` (object)
    Partially cancel the payment. See [details](/products/payments/openapi/manage-payments/partialcancel)

  - `_actions.partiallyCancelPayment.href` (string)

  - `_actions.partiallyCancelPayment.method` (string)

  - `_actions.increaseAuthorizedAmount` (object)
    Increase the authorized amount. See [details](/products/payments/openapi/manage-payments/increaseauthorizedamount)

  - `_actions.increaseAuthorizedAmount.href` (string)

  - `_actions.increaseAuthorizedAmount.method` (string)

  - `_actions.reversePayment` (object)
    Reverse the payment. See [details](/products/payments/openapi/manage-payments/reversal)

  - `_actions.reversePayment.href` (string)

  - `_actions.reversePayment.method` (string)

## Response 400 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `jsonPath` (string)

  - `validationErrors` (array)

## Response 404 fields (application/json):

  - `errorName` (string)

  - `message` (string)


